//
//  main.c
//  RxRecoveryHelper
//
//  Created by Sendoh Chen on 2014/7/9.
//
//

#include <syslog.h>
#include <xpc/xpc.h>
#include "XpcUtility.h"

int main(int argc, const char *argv[]) {
    xpc_connection_t service = xpc_connection_create_mach_service("com.transcend.RxRecoveryHelper",
                                                                  dispatch_get_main_queue(),
                                                                  XPC_CONNECTION_MACH_SERVICE_LISTENER);
    
    if (!service) {
        syslog(LOG_NOTICE, "Failed to create RecoveryHelper service.");
        exit(EXIT_FAILURE);
    }
    
    syslog(LOG_NOTICE, "Configuring connection event handler for RecoveryHelper");
    xpc_connection_set_event_handler(service, ^(xpc_object_t connection) {
        __XPC_Connection_Handler(connection);
    });
    
    xpc_connection_resume(service);
    
    dispatch_main();
    
    xpc_release(service);
    
    return EXIT_SUCCESS;
}
